Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225838 - Merge Review: gnome-system-monitor
Summary: Merge Review: gnome-system-monitor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:55 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-11 01:28:44 UTC
dakingun: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:55:04 UTC
Fedora Merge Review: gnome-system-monitor

http://cvs.fedora.redhat.com/viewcvs/devel/gnome-system-monitor/
Initial Owner: sandmann@redhat.com

Comment 1 Deji Akingunola 2007-02-07 21:15:19 UTC
Good:
* Package name conforms to the Fedora Naming Guidelines
* Sources, Group and License tags properly in place
* Locales handled correctly
* All necessary BuildRequires listed.
* Package builds OK in Mock.

NEEDSWORK:
According to the packaging guildlines on rpm scriplets,
* The post and postun Requires on desktop-file-utils is not necessary
* call to scrollkeeper-update in post section is inclomplete, should be called like;
 "scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :"
* I believe the "add-category X-Redhat-Base" is no longer necessary for the
desktop file install.

A couple of other minor nitpicks;
* You can pass the "--disable-schemas-install" option to the configure script,
without needing to set and unset the GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL env.
* There are a number of rpmlint warnings/errors which I believe can be ignored;
[deji@agape reviews]$ rpmlint gnome-system-monitor-2.17.6-1.fc7.src.rpm
W: gnome-system-monitor unversioned-explicit-obsoletes gtop
[deji@agape reviews]$ rpmlint gnome-system-monitor-2.17.6-1.fc7.x86_64.rpm
E: gnome-system-monitor obsolete-not-provided gtop
W: gnome-system-monitor no-documentation
W: gnome-system-monitor non-conffile-in-etc
/etc/gconf/schemas/gnome-system-monitor.schemas

 
 

Comment 2 Deji Akingunola 2007-02-08 12:25:46 UTC
Another needswork; g-s-monitor use of %makeinstall macro should be changed to
"make DESTDIR=$RPM_BUILD_ROOT install", according to the guildelines @
http://www.fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002

Comment 3 Matthias Clasen 2007-02-08 13:27:37 UTC
> * call to scrollkeeper-update in post section is inclomplete, should be called 
>   like; "scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :"

There is no need to slavishly follow the examples in the guidelines to the letter.
The current call works fine

Comment 4 Matthias Clasen 2007-02-08 13:38:07 UTC
* The post and postun Requires on desktop-file-utils is not necessary

There is no such requires in my checkout of the spec file ?

Comment 5 Deji Akingunola 2007-02-08 13:46:57 UTC
(In reply to comment #4)
> * The post and postun Requires on desktop-file-utils is not necessary
> 
> There is no such requires in my checkout of the spec file ?

Yeah, it's truly not there, i must have confused it with some other package.

Comment 6 Matthias Clasen 2007-02-08 13:58:44 UTC
* Thu Feb  8 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.6-2
- Remove an obsolete Obsoletes:
- Don't add X-Redhat-Base to the desktop file anymore



Comment 7 Deji Akingunola 2007-02-08 14:31:40 UTC
rpmlint now silent on srpm, and gives warnings (which can be ignored) on the binary
[deji@agape reviews]$ rpmlint gnome-system-monitor-2.17.6-2.fc7.x86_64.rpm
W: gnome-system-monitor no-documentation
W: gnome-system-monitor non-conffile-in-etc
/etc/gconf/schemas/gnome-system-monitor.schemas

APPROVED.

Comment 8 Deji Akingunola 2007-02-08 15:16:45 UTC
Sorry, the owner actually have a name.

Comment 9 Matthias Clasen 2007-08-11 01:28:44 UTC
This is done.


Note You need to log in before you can comment on or make changes to this bug.